Package org.lwjgl.opengl

# Class ATIFragmentShader

java.lang.Object
org.lwjgl.opengl.ATIFragmentShader

public final class ATIFragmentShader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_2X_BIT_ATI`
`static final int`
`GL_4X_BIT_ATI`
`static final int`
`GL_8X_BIT_ATI`
`static final int`
`GL_ADD_ATI`
`static final int`
`GL_BIAS_BIT_ATI`
`static final int`
`GL_BLUE_BIT_ATI`
`static final int`
`GL_CND_ATI`
`static final int`
`GL_CND0_ATI`
`static final int`
`GL_COLOR_ALPHA_PAIRING_ATI`
`static final int`
`GL_COMP_BIT_ATI`
`static final int`
`GL_CON_0_ATI`
`static final int`
`GL_CON_1_ATI`
`static final int`
`GL_CON_10_ATI`
`static final int`
`GL_CON_11_ATI`
`static final int`
`GL_CON_12_ATI`
`static final int`
`GL_CON_13_ATI`
`static final int`
`GL_CON_14_ATI`
`static final int`
`GL_CON_15_ATI`
`static final int`
`GL_CON_16_ATI`
`static final int`
`GL_CON_17_ATI`
`static final int`
`GL_CON_18_ATI`
`static final int`
`GL_CON_19_ATI`
`static final int`
`GL_CON_2_ATI`
`static final int`
`GL_CON_20_ATI`
`static final int`
`GL_CON_21_ATI`
`static final int`
`GL_CON_22_ATI`
`static final int`
`GL_CON_23_ATI`
`static final int`
`GL_CON_24_ATI`
`static final int`
`GL_CON_25_ATI`
`static final int`
`GL_CON_26_ATI`
`static final int`
`GL_CON_27_ATI`
`static final int`
`GL_CON_28_ATI`
`static final int`
`GL_CON_29_ATI`
`static final int`
`GL_CON_3_ATI`
`static final int`
`GL_CON_30_ATI`
`static final int`
`GL_CON_31_ATI`
`static final int`
`GL_CON_4_ATI`
`static final int`
`GL_CON_5_ATI`
`static final int`
`GL_CON_6_ATI`
`static final int`
`GL_CON_7_ATI`
`static final int`
`GL_CON_8_ATI`
`static final int`
`GL_CON_9_ATI`
`static final int`
`GL_DOT2_ADD_ATI`
`static final int`
`GL_DOT3_ATI`
`static final int`
`GL_DOT4_ATI`
`static final int`
`GL_EIGHTH_BIT_ATI`
`static final int`
`GL_FRAGMENT_SHADER_ATI`
`static final int`
`GL_GREEN_BIT_ATI`
`static final int`
`GL_HALF_BIT_ATI`
`static final int`
`GL_LERP_ATI`
`static final int`
`GL_MAD_ATI`
`static final int`
`GL_MOV_ATI`
`static final int`
`GL_MUL_ATI`
`static final int`
`GL_NEGATE_BIT_ATI`
`static final int`
`GL_NUM_FRAGMENT_CONSTANTS_ATI`
`static final int`
`GL_NUM_FRAGMENT_REGISTERS_ATI`
`static final int`
`GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI`
`static final int`
`GL_NUM_INSTRUCTIONS_PER_PASS_ATI`
`static final int`
`GL_NUM_INSTRUCTIONS_TOTAL_ATI`
`static final int`
`GL_NUM_LOOPBACK_COMPONENTS_ATI`
`static final int`
`GL_NUM_PASSES_ATI`
`static final int`
`GL_QUARTER_BIT_ATI`
`static final int`
`GL_RED_BIT_ATI`
`static final int`
`GL_REG_0_ATI`
`static final int`
`GL_REG_1_ATI`
`static final int`
`GL_REG_10_ATI`
`static final int`
`GL_REG_11_ATI`
`static final int`
`GL_REG_12_ATI`
`static final int`
`GL_REG_13_ATI`
`static final int`
`GL_REG_14_ATI`
`static final int`
`GL_REG_15_ATI`
`static final int`
`GL_REG_16_ATI`
`static final int`
`GL_REG_17_ATI`
`static final int`
`GL_REG_18_ATI`
`static final int`
`GL_REG_19_ATI`
`static final int`
`GL_REG_2_ATI`
`static final int`
`GL_REG_20_ATI`
`static final int`
`GL_REG_21_ATI`
`static final int`
`GL_REG_22_ATI`
`static final int`
`GL_REG_23_ATI`
`static final int`
`GL_REG_24_ATI`
`static final int`
`GL_REG_25_ATI`
`static final int`
`GL_REG_26_ATI`
`static final int`
`GL_REG_27_ATI`
`static final int`
`GL_REG_28_ATI`
`static final int`
`GL_REG_29_ATI`
`static final int`
`GL_REG_3_ATI`
`static final int`
`GL_REG_30_ATI`
`static final int`
`GL_REG_31_ATI`
`static final int`
`GL_REG_4_ATI`
`static final int`
`GL_REG_5_ATI`
`static final int`
`GL_REG_6_ATI`
`static final int`
`GL_REG_7_ATI`
`static final int`
`GL_REG_8_ATI`
`static final int`
`GL_REG_9_ATI`
`static final int`
`GL_SATURATE_BIT_ATI`
`static final int`
`GL_SECONDARY_INTERPOLATOR_ATI`
`static final int`
`GL_SUB_ATI`
`static final int`
`GL_SWIZZLE_STQ_ATI`
`static final int`
`GL_SWIZZLE_STQ_DQ_ATI`
`static final int`
`GL_SWIZZLE_STR_ATI`
`static final int`
`GL_SWIZZLE_STR_DR_ATI`
`static final int`
`GL_SWIZZLE_STRQ_ATI`
`static final int`
`GL_SWIZZLE_STRQ_DQ_ATI`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glAlphaFragmentOp1ATI(int op, int dst, int dstMod, int arg1, int arg1Rep, int arg1Mod)`
`static void`
`glAlphaFragmentOp2ATI(int op, int dst, int dstMod, int arg1, int arg1Rep, int arg1Mod, int arg2, int arg2Rep, int arg2Mod)`
`static void`
`glAlphaFragmentOp3ATI(int op, int dst, int dstMod, int arg1, int arg1Rep, int arg1Mod, int arg2, int arg2Rep, int arg2Mod, int arg3, int arg3Rep, int arg3Mod)`
`static void`
`glBeginFragmentShaderATI()`
`static void`
`glBindFragmentShaderATI(int id)`
`static void`
`glColorFragmentOp1ATI(int op, int dst, int dstMask, int dstMod, int arg1, int arg1Rep, int arg1Mod)`
`static void`
`glColorFragmentOp2ATI(int op, int dst, int dstMask, int dstMod, int arg1, int arg1Rep, int arg1Mod, int arg2, int arg2Rep, int arg2Mod)`
`static void`
`glColorFragmentOp3ATI(int op, int dst, int dstMask, int dstMod, int arg1, int arg1Rep, int arg1Mod, int arg2, int arg2Rep, int arg2Mod, int arg3, int arg3Rep, int arg3Mod)`
`static void`
`glDeleteFragmentShaderATI(int id)`
`static void`
`glEndFragmentShaderATI()`
`static int`
`glGenFragmentShadersATI(int range)`
`static void`
`glPassTexCoordATI(int dst, int coord, int swizzle)`
`static void`
`glSampleMapATI(int dst, int interp, int swizzle)`
`static void`
`glSetFragmentShaderConstantATI(int dst, FloatBuffer pfValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_FRAGMENT_SHADER_ATI

public static final int GL_FRAGMENT_SHADER_ATI

See Also:
  - Constant Field Values

### GL_REG_0_ATI

public static final int GL_REG_0_ATI

See Also:
  - Constant Field Values

### GL_REG_1_ATI

public static final int GL_REG_1_ATI

See Also:
  - Constant Field Values

### GL_REG_2_ATI

public static final int GL_REG_2_ATI

See Also:
  - Constant Field Values

### GL_REG_3_ATI

public static final int GL_REG_3_ATI

See Also:
  - Constant Field Values

### GL_REG_4_ATI

public static final int GL_REG_4_ATI

See Also:
  - Constant Field Values

### GL_REG_5_ATI

public static final int GL_REG_5_ATI

See Also:
  - Constant Field Values

### GL_REG_6_ATI

public static final int GL_REG_6_ATI

See Also:
  - Constant Field Values

### GL_REG_7_ATI

public static final int GL_REG_7_ATI

See Also:
  - Constant Field Values

### GL_REG_8_ATI

public static final int GL_REG_8_ATI

See Also:
  - Constant Field Values

### GL_REG_9_ATI

public static final int GL_REG_9_ATI

See Also:
  - Constant Field Values

### GL_REG_10_ATI

public static final int GL_REG_10_ATI

See Also:
  - Constant Field Values

### GL_REG_11_ATI

public static final int GL_REG_11_ATI

See Also:
  - Constant Field Values

### GL_REG_12_ATI

public static final int GL_REG_12_ATI

See Also:
  - Constant Field Values

### GL_REG_13_ATI

public static final int GL_REG_13_ATI

See Also:
  - Constant Field Values

### GL_REG_14_ATI

public static final int GL_REG_14_ATI

See Also:
  - Constant Field Values

### GL_REG_15_ATI

public static final int GL_REG_15_ATI

See Also:
  - Constant Field Values

### GL_REG_16_ATI

public static final int GL_REG_16_ATI

See Also:
  - Constant Field Values

### GL_REG_17_ATI

public static final int GL_REG_17_ATI

See Also:
  - Constant Field Values

### GL_REG_18_ATI

public static final int GL_REG_18_ATI

See Also:
  - Constant Field Values

### GL_REG_19_ATI

public static final int GL_REG_19_ATI

See Also:
  - Constant Field Values

### GL_REG_20_ATI

public static final int GL_REG_20_ATI

See Also:
  - Constant Field Values

### GL_REG_21_ATI

public static final int GL_REG_21_ATI

See Also:
  - Constant Field Values

### GL_REG_22_ATI

public static final int GL_REG_22_ATI

See Also:
  - Constant Field Values

### GL_REG_23_ATI

public static final int GL_REG_23_ATI

See Also:
  - Constant Field Values

### GL_REG_24_ATI

public static final int GL_REG_24_ATI

See Also:
  - Constant Field Values

### GL_REG_25_ATI

public static final int GL_REG_25_ATI

See Also:
  - Constant Field Values

### GL_REG_26_ATI

public static final int GL_REG_26_ATI

See Also:
  - Constant Field Values

### GL_REG_27_ATI

public static final int GL_REG_27_ATI

See Also:
  - Constant Field Values

### GL_REG_28_ATI

public static final int GL_REG_28_ATI

See Also:
  - Constant Field Values

### GL_REG_29_ATI

public static final int GL_REG_29_ATI

See Also:
  - Constant Field Values

### GL_REG_30_ATI

public static final int GL_REG_30_ATI

See Also:
  - Constant Field Values

### GL_REG_31_ATI

public static final int GL_REG_31_ATI

See Also:
  - Constant Field Values

### GL_CON_0_ATI

public static final int GL_CON_0_ATI

See Also:
  - Constant Field Values

### GL_CON_1_ATI

public static final int GL_CON_1_ATI

See Also:
  - Constant Field Values

### GL_CON_2_ATI

public static final int GL_CON_2_ATI

See Also:
  - Constant Field Values

### GL_CON_3_ATI

public static final int GL_CON_3_ATI

See Also:
  - Constant Field Values

### GL_CON_4_ATI

public static final int GL_CON_4_ATI

See Also:
  - Constant Field Values

### GL_CON_5_ATI

public static final int GL_CON_5_ATI

See Also:
  - Constant Field Values

### GL_CON_6_ATI

public static final int GL_CON_6_ATI

See Also:
  - Constant Field Values

### GL_CON_7_ATI

public static final int GL_CON_7_ATI

See Also:
  - Constant Field Values

### GL_CON_8_ATI

public static final int GL_CON_8_ATI

See Also:
  - Constant Field Values

### GL_CON_9_ATI

public static final int GL_CON_9_ATI

See Also:
  - Constant Field Values

### GL_CON_10_ATI

public static final int GL_CON_10_ATI

See Also:
  - Constant Field Values

### GL_CON_11_ATI

public static final int GL_CON_11_ATI

See Also:
  - Constant Field Values

### GL_CON_12_ATI

public static final int GL_CON_12_ATI

See Also:
  - Constant Field Values

### GL_CON_13_ATI

public static final int GL_CON_13_ATI

See Also:
  - Constant Field Values

### GL_CON_14_ATI

public static final int GL_CON_14_ATI

See Also:
  - Constant Field Values

### GL_CON_15_ATI

public static final int GL_CON_15_ATI

See Also:
  - Constant Field Values

### GL_CON_16_ATI

public static final int GL_CON_16_ATI

See Also:
  - Constant Field Values

### GL_CON_17_ATI

public static final int GL_CON_17_ATI

See Also:
  - Constant Field Values

### GL_CON_18_ATI

public static final int GL_CON_18_ATI

See Also:
  - Constant Field Values

### GL_CON_19_ATI

public static final int GL_CON_19_ATI

See Also:
  - Constant Field Values

### GL_CON_20_ATI

public static final int GL_CON_20_ATI

See Also:
  - Constant Field Values

### GL_CON_21_ATI

public static final int GL_CON_21_ATI

See Also:
  - Constant Field Values

### GL_CON_22_ATI

public static final int GL_CON_22_ATI

See Also:
  - Constant Field Values

### GL_CON_23_ATI

public static final int GL_CON_23_ATI

See Also:
  - Constant Field Values

### GL_CON_24_ATI

public static final int GL_CON_24_ATI

See Also:
  - Constant Field Values

### GL_CON_25_ATI

public static final int GL_CON_25_ATI

See Also:
  - Constant Field Values

### GL_CON_26_ATI

public static final int GL_CON_26_ATI

See Also:
  - Constant Field Values

### GL_CON_27_ATI

public static final int GL_CON_27_ATI

See Also:
  - Constant Field Values

### GL_CON_28_ATI

public static final int GL_CON_28_ATI

See Also:
  - Constant Field Values

### GL_CON_29_ATI

public static final int GL_CON_29_ATI

See Also:
  - Constant Field Values

### GL_CON_30_ATI

public static final int GL_CON_30_ATI

See Also:
  - Constant Field Values

### GL_CON_31_ATI

public static final int GL_CON_31_ATI

See Also:
  - Constant Field Values

### GL_MOV_ATI

public static final int GL_MOV_ATI

See Also:
  - Constant Field Values

### GL_ADD_ATI

public static final int GL_ADD_ATI

See Also:
  - Constant Field Values

### GL_MUL_ATI

public static final int GL_MUL_ATI

See Also:
  - Constant Field Values

### GL_SUB_ATI

public static final int GL_SUB_ATI

See Also:
  - Constant Field Values

### GL_DOT3_ATI

public static final int GL_DOT3_ATI

See Also:
  - Constant Field Values

### GL_DOT4_ATI

public static final int GL_DOT4_ATI

See Also:
  - Constant Field Values

### GL_MAD_ATI

public static final int GL_MAD_ATI

See Also:
  - Constant Field Values

### GL_LERP_ATI

public static final int GL_LERP_ATI

See Also:
  - Constant Field Values

### GL_CND_ATI

public static final int GL_CND_ATI

See Also:
  - Constant Field Values

### GL_CND0_ATI

public static final int GL_CND0_ATI

See Also:
  - Constant Field Values

### GL_DOT2_ADD_ATI

public static final int GL_DOT2_ADD_ATI

See Also:
  - Constant Field Values

### GL_SECONDARY_INTERPOLATOR_ATI

public static final int GL_SECONDARY_INTERPOLATOR_ATI

See Also:
  - Constant Field Values

### GL_NUM_FRAGMENT_REGISTERS_ATI

public static final int GL_NUM_FRAGMENT_REGISTERS_ATI

See Also:
  - Constant Field Values

### GL_NUM_FRAGMENT_CONSTANTS_ATI

public static final int GL_NUM_FRAGMENT_CONSTANTS_ATI

See Also:
  - Constant Field Values

### GL_NUM_PASSES_ATI

public static final int GL_NUM_PASSES_ATI

See Also:
  - Constant Field Values

### GL_NUM_INSTRUCTIONS_PER_PASS_ATI

public static final int GL_NUM_INSTRUCTIONS_PER_PASS_ATI

See Also:
  - Constant Field Values

### GL_NUM_INSTRUCTIONS_TOTAL_ATI

public static final int GL_NUM_INSTRUCTIONS_TOTAL_ATI

See Also:
  - Constant Field Values

### GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI

public static final int GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI

See Also:
  - Constant Field Values

### GL_NUM_LOOPBACK_COMPONENTS_ATI

public static final int GL_NUM_LOOPBACK_COMPONENTS_ATI

See Also:
  - Constant Field Values

### GL_COLOR_ALPHA_PAIRING_ATI

public static final int GL_COLOR_ALPHA_PAIRING_ATI

See Also:
  - Constant Field Values

### GL_SWIZZLE_STR_ATI

public static final int GL_SWIZZLE_STR_ATI

See Also:
  - Constant Field Values

### GL_SWIZZLE_STQ_ATI

public static final int GL_SWIZZLE_STQ_ATI

See Also:
  - Constant Field Values

### GL_SWIZZLE_STR_DR_ATI

public static final int GL_SWIZZLE_STR_DR_ATI

See Also:
  - Constant Field Values

### GL_SWIZZLE_STQ_DQ_ATI

public static final int GL_SWIZZLE_STQ_DQ_ATI

See Also:
  - Constant Field Values

### GL_SWIZZLE_STRQ_ATI

public static final int GL_SWIZZLE_STRQ_ATI

See Also:
  - Constant Field Values

### GL_SWIZZLE_STRQ_DQ_ATI

public static final int GL_SWIZZLE_STRQ_DQ_ATI

See Also:
  - Constant Field Values

### GL_RED_BIT_ATI

public static final int GL_RED_BIT_ATI

See Also:
  - Constant Field Values

### GL_GREEN_BIT_ATI

public static final int GL_GREEN_BIT_ATI

See Also:
  - Constant Field Values

### GL_BLUE_BIT_ATI

public static final int GL_BLUE_BIT_ATI

See Also:
  - Constant Field Values

### GL_2X_BIT_ATI

public static final int GL_2X_BIT_ATI

See Also:
  - Constant Field Values

### GL_4X_BIT_ATI

public static final int GL_4X_BIT_ATI

See Also:
  - Constant Field Values

### GL_8X_BIT_ATI

public static final int GL_8X_BIT_ATI

See Also:
  - Constant Field Values

### GL_HALF_BIT_ATI

public static final int GL_HALF_BIT_ATI

See Also:
  - Constant Field Values

### GL_QUARTER_BIT_ATI

public static final int GL_QUARTER_BIT_ATI

See Also:
  - Constant Field Values

### GL_EIGHTH_BIT_ATI

public static final int GL_EIGHTH_BIT_ATI

See Also:
  - Constant Field Values

### GL_SATURATE_BIT_ATI

public static final int GL_SATURATE_BIT_ATI

See Also:
  - Constant Field Values

### GL_COMP_BIT_ATI

public static final int GL_COMP_BIT_ATI

See Also:
  - Constant Field Values

### GL_NEGATE_BIT_ATI

public static final int GL_NEGATE_BIT_ATI

See Also:
  - Constant Field Values

### GL_BIAS_BIT_ATI

public static final int GL_BIAS_BIT_ATI

See Also:
  - Constant Field Values

## Method Details

### glGenFragmentShadersATI

public static int glGenFragmentShadersATI(int range)

### glBindFragmentShaderATI

public static void glBindFragmentShaderATI(int id)

### glDeleteFragmentShaderATI

public static void glDeleteFragmentShaderATI(int id)

### glBeginFragmentShaderATI

public static void glBeginFragmentShaderATI()

### glEndFragmentShaderATI

public static void glEndFragmentShaderATI()

### glPassTexCoordATI

public static void glPassTexCoordATI(int dst, int coord, int swizzle)

### glSampleMapATI

public static void glSampleMapATI(int dst, int interp, int swizzle)

### glColorFragmentOp1ATI

public static void glColorFragmentOp1ATI(int op, int dst, int dstMask, int dstMod, int arg1, int arg1Rep, int arg1Mod)

### glColorFragmentOp2ATI

public static void glColorFragmentOp2ATI(int op, int dst, int dstMask, int dstMod, int arg1, int arg1Rep, int arg1Mod, int arg2, int arg2Rep, int arg2Mod)

### glColorFragmentOp3ATI

public static void glColorFragmentOp3ATI(int op, int dst, int dstMask, int dstMod, int arg1, int arg1Rep, int arg1Mod, int arg2, int arg2Rep, int arg2Mod, int arg3, int arg3Rep, int arg3Mod)

### glAlphaFragmentOp1ATI

public static void glAlphaFragmentOp1ATI(int op, int dst, int dstMod, int arg1, int arg1Rep, int arg1Mod)

### glAlphaFragmentOp2ATI

public static void glAlphaFragmentOp2ATI(int op, int dst, int dstMod, int arg1, int arg1Rep, int arg1Mod, int arg2, int arg2Rep, int arg2Mod)

### glAlphaFragmentOp3ATI

public static void glAlphaFragmentOp3ATI(int op, int dst, int dstMod, int arg1, int arg1Rep, int arg1Mod, int arg2, int arg2Rep, int arg2Mod, int arg3, int arg3Rep, int arg3Mod)

### glSetFragmentShaderConstantATI

public static void glSetFragmentShaderConstantATI(int dst, FloatBuffer pfValue)